Subject: Re: Updating Kbuild tree and contacts

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 Aug 2025 08:34:02 +1000

Hi Nathan,

On Mon, 11 Aug 2025 11:48:49 -0700 Nathan Chancellor <[email-masked]> wrote:
>
> Nicolas and I have taken over Kbuild maintenace from Masahiro as of
> commit 8d6841d5cb20 ("MAINTAINERS: hand over Kbuild maintenance"). Could
> you please update your contacts for the Kbuild tree to both of us and
> the Kbuild tree to
> 
>   https://git.kernel.org/pub/scm/linux/kernel/git/kbuild/linux.git
> 
> and start pulling kbuild-fixes and kbuild-next in at their respective
> places within the -next update cycle? Please let me know if there are
> any issues or questions.

Done.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]